Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/unix-privesc-check: new aport

From: Fabio Aires <fabioaires.web_at_gmail.com>
Date: Wed, 26 Nov 2014 19:33:39 +0000

---
 testing/unix-privesc-check-svn/APKBUILD | 51 +++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)
 create mode 100644 testing/unix-privesc-check-svn/APKBUILD
diff --git a/testing/unix-privesc-check-svn/APKBUILD b/testing/unix-privesc-check-svn/APKBUILD
new file mode 100644
index 0000000..672dfaa
--- /dev/null
+++ b/testing/unix-privesc-check-svn/APKBUILD
_at_@ -0,0 +1,51 @@
+# Contributor: Fabio Aires <fabioaires.web_at_gmail.com>
+# Maintainer: Fabio Aires <fabioaires.web_at_gmail.com>
+
+_pkgname="unix-privesc-check"
+pkgname="$_pkgname-svn"
+pkgver=362
+pkgrel=1
+pkgdesc="Shell script to check for simple privilege escalation vectors on Unix systems."
+url="https://aur.archlinux.org/packages/unix-privesc-check-svn/"
+arch="noarch"
+license="GPL2"
+depends=""
+depends_dev="subversion"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="https://aur.archlinux.org/packages/un/$pkgname/$pkgname.tar.gz"
+
+_builddir="$srcdir/$pkgname"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	svn co http://$_pkgname.googlecode.com/svn/trunk
+}
+
+package() {
+	cd "$_builddir"
+
+	touch files_cache.temp
+	touch privileged_cache.temp 
+  	
+	install -d "$pkgdir"/usr/bin
+	install -d "$pkgdir"/usr/share/$_pkgname		
+	install -Dm0755 $_pkgname.sh "$pkgdir"/usr/bin/$_pkgname
+	install -Dm0666 files_cache.temp "$pkgdir"/usr/share/$_pkgname
+	install -Dm0666 privileged_cache.temp "$pkgdir"/usr/share/$_pkgname
+	cp -r trunk/* "$pkgdir"/usr/share/$_pkgname
+}
+
+md5sums="6a3a3d7e37cbcd434f05a4b980e558bf  unix-privesc-check-svn.tar.gz"
+sha256sums="6c0c14cb9fae6c65efaf3b3bebe1fb1555900a0ddffa9cc7645278cd9941dc7f  unix-privesc-check-svn.tar.gz"
+sha512sums="039328039c06be9f909dd2b938d075705f402d75b830a179731c480851dee319dfd677fe5863c860b182458f52972a40a3b699e004958c78158c06763c9d5bd8  unix-privesc-check-svn.tar.gz"
-- 
1.8.2.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Nov 26 2014 - 19:33:39 GMT